%global git_date  20250504
%global git_hash  e2fdb41
%global git_ver  0.3.25

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     nwg-displays
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  An output management utility for Sway and Hyprland
License:  MIT
URL:      https://github.com/nwg-piotr/%{name}.git
Source:	  %{url}/%{src_name}

BuildArch:  noarch
BuildRequires:  python3-devel

%description
Nwg-displays is an output management utility for sway and Hyprland compositors.
It is expected to:
- provide an intuitive GUI to manage multiple displays;
- apply settings;
- save outputs configuration to a text file;
- save workspace -> output assignments to a text file;
- support sway and Hyprland only.


%prep
%autosetup -n %{name}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

install -p -D -m644 nwg-displays.desktop    %{buildroot}%{_datadir}/applications/nwg-displays.desktop
install -p -D -m644 nwg-displays.svg    %{buildroot}%{_datadir}/icons/nwg-displays.svg

%files
%doc README.md
%license LICENSE
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.svg
%{_bindir}/%{name}
%{python3_sitelib}/*

%changelog
%autochangelog
